# Uses of Interface
org.opensaml.soap.soap11.Body

Packages that use Body
Package
Description
org.opensaml.soap.client.soap11.encoder.http.impl
SOAP 1.1 client message encoding support implementations.
org.opensaml.soap.soap11
XMLObject interfaces for SOAP 1.1 elements.
org.opensaml.soap.soap11.encoder.http.impl
SOAP over HTTP 1.1 message encoder and handlers.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of Body in org.opensaml.soap.client.soap11.encoder.http.impl

Fields in org.opensaml.soap.client.soap11.encoder.http.impl with type parameters of type Body
Modifier and Type
Field
Description
`private SOAPObjectBuilder<Body>`
HttpClientRequestSOAP11Encoder.`bodyBuilder`
SOAP Body builder.

## Uses of Body in org.opensaml.soap.soap11

Methods in org.opensaml.soap.soap11 that return Body
Modifier and Type
Method
Description
`Body`
Envelope.`getBody()`
Gets the body of this envelope.
Methods in org.opensaml.soap.soap11 with parameters of type Body
Modifier and Type
Method
Description
`void`
Envelope.`setBody(Body newBody)`
Sets the body of this envelope.

## Uses of Body in org.opensaml.soap.soap11.encoder.http.impl

Fields in org.opensaml.soap.soap11.encoder.http.impl with type parameters of type Body
Modifier and Type
Field
Description
`private SOAPObjectBuilder<Body>`
HTTPSOAP11Encoder.`bodyBuilder`
SOAP Body builder.

## Uses of Body in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement Body
Modifier and Type
Class
Description
`class`
`BodyImpl`
Concrete implemenation of `Body`.
Fields in org.opensaml.soap.soap11.impl declared as Body
Modifier and Type
Field
Description
`private Body`
EnvelopeImpl.`body`
SOAP body.
Methods in org.opensaml.soap.soap11.impl that return Body
Modifier and Type
Method
Description
`Body`
BodyBuilder.`buildObject()`
Creates an envelope object with the default SOAP 1.1 namespace, prefix and "Body" as the element local name.
`Body`
BodyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Body`
EnvelopeImpl.`getBody()`
Gets the body of this envelope.
Methods in org.opensaml.soap.soap11.impl with parameters of type Body
Modifier and Type
Method
Description
`void`
EnvelopeImpl.`setBody(Body newBody)`
Sets the body of this envelope.